Skip to content
LogoLogo

Auth

AccountInfo

GET/cosmos/auth/v1beta1/account_info/{address}

AccountInfo queries account info which is common to all account types.

Path Parameters

addressRequired
string

address is the account address string.

Responses

Accounts

GET/cosmos/auth/v1beta1/accounts

When called from another module, this query might consume a high amount of gas if the pagination field is incorrectly set.

Query Parameters

pagination.key
string

key is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set.

pagination.offset
string <uint64>

offset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set.

pagination.limit
string <uint64>

limit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.

pagination.count_total
boolean

count_total is set to true to indicate that the result set should include a count of the total number of items available for pagination in UIs. count_total is only respected when offset is used. It is ignored when key is set.

pagination.reverse
boolean

reverse is set to true if results are to be returned in the descending order.

Responses

Account

GET/cosmos/auth/v1beta1/accounts/{address}

Account returns account details based on address.

Path Parameters

addressRequired
string

address defines the address to query for.

Responses

AccountAddressByID

GET/cosmos/auth/v1beta1/address_by_id/{id}

AccountAddressByID returns account address based on account number.

Path Parameters

idRequired
string <int64>

Deprecated, use account_id instead

id is the account number of the address to be queried. This field should have been an uint64 (like all account numbers), and will be updated to uint64 in a future version of the auth query.

Query Parameters

account_id
string <uint64>

account_id is the account number of the address to be queried.

Responses

Bech32Prefix

GET/cosmos/auth/v1beta1/bech32

Bech32Prefix queries bech32Prefix

Responses

AddressBytesToString

GET/cosmos/auth/v1beta1/bech32/{address_bytes}

AddressBytesToString converts Account Address bytes to string

Path Parameters

address_bytesRequired
string

Responses

AddressStringToBytes

GET/cosmos/auth/v1beta1/bech32/{address_string}

AddressStringToBytes converts Address string to bytes

Path Parameters

address_stringRequired
string

Responses

ModuleAccounts

GET/cosmos/auth/v1beta1/module_accounts

ModuleAccounts returns all the existing module accounts.

Responses

ModuleAccountByName

GET/cosmos/auth/v1beta1/module_accounts/{name}

ModuleAccountByName returns the module account info by module name

Path Parameters

nameRequired
string

Responses

Params

GET/cosmos/auth/v1beta1/params

Params queries all parameters.

Responses